package kinex;

public class KinectUser {
	
	public KinectJoint Head;
	public KinectJoint ShoulderCenter;
	public KinectJoint ShoulderLeft;
	public KinectJoint ShoulderRight;
	public KinectJoint ElbowLeft;
	public KinectJoint ElbowRight;
	public KinectJoint WristLeft;
	public KinectJoint WristRight;
	public KinectJoint HandLeft;
	public KinectJoint HandRight;
	public KinectJoint Spine;
	public KinectJoint HipCenter;
	public KinectJoint HipLeft;
	public KinectJoint HipRight;
	public KinectJoint KneeLeft;
	public KinectJoint KneeRight;
	public KinectJoint AnkleLeft;
	public KinectJoint AnkleRight;
	public KinectJoint FootLeft;
	public KinectJoint FootRight;
	
	public int id;
	
	public KinectUser(int id) {
		this.id = id;
		Head = new KinectJoint();
		ShoulderCenter = new KinectJoint();
		ShoulderLeft = new KinectJoint();
		ShoulderRight = new KinectJoint();
		ElbowLeft = new KinectJoint();
		ElbowRight = new KinectJoint();
		WristLeft = new KinectJoint();
		WristRight = new KinectJoint();
		HandLeft = new KinectJoint();
		HandRight = new KinectJoint();
		Spine = new KinectJoint();
		HipCenter = new KinectJoint();
		HipLeft = new KinectJoint();
		HipRight = new KinectJoint();
		KneeLeft = new KinectJoint();
		KneeRight = new KinectJoint();
		AnkleLeft = new KinectJoint();
		AnkleRight = new KinectJoint();
		FootLeft = new KinectJoint();
		FootRight = new KinectJoint();
	}
	
	public KinectUser() {
		this(0);
	}
}
