import kinex.KinectClient;
import kinex.KinectUser;

KinectClient kinect;

void setup() {
  size(640, 480);
  try {
    kinect = KinectClient.connect("localhost", 8888);
  } catch(Exception e) {
    exit();
  }
}

void draw() {
  background(255);
  
  KinectUser user = kinect.getUser(0);  
  int x = user.HandLeft.sx;
  int y = user.HandLeft.sy;
  
  pushMatrix();
    translate(x, y);
    fill(255, 200, 200, 255);
    ellipse(0, 0, 20, 20);
  popMatrix();
}

